DL Extraction
Introduction
The Driving Licence Extraction API is engineered to efficiently extract data from images of driving licences. By inputting the URL of the driving licence image, the API returns structured data extracted from the image. This includes essential details such as the licence holder's name, date of birth, driving licence number, issue and expiry dates, address, and other pertinent information.
Performance metrics:
95% of responses within 4.8 secs.
Accuracy: 92%
API details
Endpoint
POST https://api.signzy.app/api/v3/driving-licence/extractionsPOST https://api-preproduction.signzy.app/api/v3/driving-licence/extractionsRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data type | Description | Required |
|---|---|---|---|
files | Array of Strings | An array containing the URL of the files being extracted. | Mandatory |
{
"files": [
"https://preproduction-persist.signzy.tech/api/files/37100725/download/0000000.jpg"
]
}Code samples
curl --location 'https://api-preproduction.signzy.app/api/v3/driving-licence/extractions' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Your access token>' \
--data '{
"files": [
"https://preproduction-persist.signzy.tech/api/files/37100725/download/0000000.jpg"
]
}'Response body parameters
Parameter | Data Type | Description |
|---|---|---|
files | Array of Strings | URL of files being extracted. |
id | Integer | Unique ID for the request. |
result | Object | Contains the result of extraction. |
result.dlType | Array of Strings | Class of vehicle for which the driving licence is provided. |
result.issueDate | String | Issue date in format DD/MM/YYYY. |
result.expiryDate | String | Expiry date in format DD/MM/YYYY. |
result.dob | String | Date of birth of the individual in format DD/MM/YYYY. |
result.cdoi | String | Current Date of Issue in format DD-MM-YYYY |
result.guardianName | String | Name of the guardian. |
result.name | String | Name of the licence holder. |
result.number | String | Driving licence number. |
result.state | String | State. |
result.address | String | Full address of the licence holder. |
result.gaurdianName | String | Name of the guardian. |
result.splitAddress | Object | Contains the address in split format. |
result.splitAddress.district | Array of strings | District. |
result.splitAddress.state | Array of strings | State. |
result.splitAddress.city | Array of strings | City. |
result.splitAddress.pincode | String | Pincode. |
result.splitAddress.country | Array of Strings | Country. |
result.splitAddress.addressLine | String | Address line. |
result.summary | Object | Summary of extracted details. |
result.summary.number | String | Driving licence number. |
result.summary.name | String | Name of the licence holder. |
result.summary.dob | String | Date of birth in format DD/MM/YYYY. |
result.summary.address | String | Full address of the licence holder. |
result.summary.splitAddress | Object | Contains the address in split format. |
result.summary.gender | String | Gender of the licence holder.If available. Possible response could be: MALE, FEMALE |
result.summary.guardianName | String | Name of the guardian. |
result.summary.issueDate | String | Issue date in format DD/MM/YYYY. |
result.summary.expiryDate | String | Expiry date in format DD/MM/YYYY. |
{
"error": {
"reason": "Error From Upstream",
"status": 409,
"message": "Upstream Down",
"type": "Conflict",
"statusCode": 409,
"name": "error"
}
}Document Related constraints
No limit in file size of the document.
The API supports processing ability for only one Document at a time (only the 1st value passed to the files parameter at a time)
For best results, make sure the image you use fits tightly in the camera view and is horizontally aligned.
Supported document types:
- Image - JPEG, JPG, PNG and TIFF/TIF.
- Single page PDF - In the case of multipage PDF input the API will only consider the first page for extraction.
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!